Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1242091 - Review Request: nodejs-smart-buffer - A smarter Buffer that keeps track of its own read and write positions while growing endlessly
Summary: Review Request: nodejs-smart-buffer - A smarter Buffer that keeps track of it...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zuzana Svetlikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1258254 (view as bug list)
Depends On:
Blocks: nodejs-reviews 1242090 1258258
TreeView+ depends on / blocked
 
Reported: 2015-07-10 21:37 UTC by Ralph Bean
Modified: 2015-09-19 17:23 UTC (History)
3 users (show)

Fixed In Version: 1.0.3-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-09 00:22:14 UTC
zsvetlik: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2015-07-10 21:37:43 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-smart-buffer.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-smart-buffer-1.0.3-1.fc22.src.rpm

Description:
smart-buffer is a light Buffer wrapper that takes away the need to keep
track of what position to read and write data to and from the underlying
Buffer. It also adds null terminating string operations and **grows** as
you add more data.

Comment 1 Ralph Bean 2015-07-10 21:37:46 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=10332756

Comment 2 Zuzana Svetlikova 2015-07-13 10:47:55 UTC
Move LICENSE to %license and shorten the summary, otherwise seems to be okay.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/kasicka/fedora-review/1242091-nodejs-
     smart-buffer/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-smart-buffer-1.0.3-1.fc23.noarch.rpm
          nodejs-smart-buffer-1.0.3-1.fc23.src.rpm
nodejs-smart-buffer.noarch: E: summary-too-long C A smarter Buffer that keeps track of its own read and write positions while growing endlessly
nodejs-smart-buffer.noarch: W: only-non-binary-in-usr-lib
nodejs-smart-buffer.src: E: summary-too-long C A smarter Buffer that keeps track of its own read and write positions while growing endlessly
2 packages and 0 specfiles checked; 2 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-smart-buffer.noarch: E: summary-too-long C A smarter Buffer that keeps track of its own read and write positions while growing endlessly
nodejs-smart-buffer.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 1 warnings.



Requires
--------
nodejs-smart-buffer (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-smart-buffer:
    nodejs-smart-buffer
    npm(smart-buffer)



Source checksums
----------------
http://registry.npmjs.org/smart-buffer/-/smart-buffer-1.0.3.tgz :
  CHECKSUM(SHA256) this package     : 101e306c15f8378115faa0be47b7f4a5e16d39e196ed65eec831f5c604a5b9f5
  CHECKSUM(SHA256) upstream package : 101e306c15f8378115faa0be47b7f4a5e16d39e196ed65eec831f5c604a5b9f5


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1242091
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Ralph Bean 2015-07-27 15:27:14 UTC
Thanks!  License moved and summary shortened:

Spec URL: http://threebean.org/rpm/SPECS/nodejs-smart-buffer.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-smart-buffer-1.0.3-2.fc22.src.rpm

Comment 4 Zuzana Svetlikova 2015-07-28 14:29:20 UTC
Seems fine, APPROVED.

Comment 5 Ralph Bean 2015-07-29 17:41:56 UTC
New Package SCM Request
=======================
Package Name: nodejs-smart-buffer
Short Description: A smarter Buffer
Upstream URL: https://npmjs.org/package/smart-buffer
Owners: ralph
Branches: f23,f22,f21,epel7
InitialCC:

Comment 6 Gwyn Ciesla 2015-07-29 20:40:43 UTC
Git done (by process-git-requests).

Comment 7 Piotr Popieluch 2015-08-30 15:21:58 UTC
*** Bug 1258254 has been marked as a duplicate of this bug. ***

Comment 8 Fedora Update System 2015-08-30 17:33:59 UTC
nodejs-smart-buffer-1.0.3-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14594

Comment 9 Fedora Update System 2015-08-30 17:35:34 UTC
nodejs-smart-buffer-1.0.3-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14596

Comment 10 Fedora Update System 2015-08-30 17:36:39 UTC
nodejs-smart-buffer-1.0.3-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7850

Comment 11 Fedora Update System 2015-08-30 17:38:33 UTC
nodejs-smart-buffer-1.0.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14597

Comment 12 Piotr Popieluch 2015-08-30 17:39:17 UTC
package built in rawhide, closing

Comment 13 Fedora Update System 2015-09-01 02:50:05 UTC
nodejs-smart-buffer-1.0.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-smart-buffer'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7850

Comment 14 Fedora Update System 2015-09-01 09:58:33 UTC
nodejs-smart-buffer-1.0.3-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-smart-buffer'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14594

Comment 15 Fedora Update System 2015-09-01 10:04:56 UTC
nodejs-smart-buffer-1.0.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-smart-buffer'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14597

Comment 16 Fedora Update System 2015-09-01 15:49:40 UTC
nodejs-smart-buffer-1.0.3-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-smart-buffer'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14596

Comment 17 Fedora Update System 2015-09-09 00:22:13 UTC
nodejs-smart-buffer-1.0.3-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-09-09 04:21:05 UTC
nodejs-smart-buffer-1.0.3-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-09-18 19:00:16 UTC
nodejs-smart-buffer-1.0.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-09-19 17:23:12 UTC
nodejs-smart-buffer-1.0.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.